<?xml version="1.0" encoding="UTF-8"?>
<con:soapui-project id="7a54c6d9-7840-45fe-aa1b-47352d9cda40" activeEnvironment="Default" name="CH:PMIR PIX Consumer" resourceRoot="" soapui-version="5.6.0" abortOnError="false" runType="SEQUENTIAL" xmlns:con="http://eviware.com/soapui/config">
	<con:settings/>
	<con:interface xsi:type="con:RestService" id="d5fe8dd8-e734-4b3a-9d37-5830e9ed45ab" wadlVersion="http://wadl.dev.java.net/2009/02" name="https://gazelle.ihe.net" type="rest" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
		<con:settings/>
		
		<con:definitionCache type="TEXT" rootPart=""/><con:endpoints>
			<con:endpoint>${#Project#endPoint}</con:endpoint>
		</con:endpoints>
		
		
	<con:resource name="Patient" path="/PatientManager/fhir/Patient/$ihe-pix" id="1a157c08-1311-4f5b-9864-82e69f13a297">
			<con:settings/>
			<con:parameters>
				
				<con:parameter>
					<con:name>_format</con:name>
					<con:value/>
					<con:style>QUERY</con:style>
					<con:default/>
				</con:parameter>
				
				<con:parameter>
					<con:name>targetSystem</con:name>
					<con:value/>
					<con:style>QUERY</con:style>
					<con:default/>
				</con:parameter>
				<con:parameter>
					<con:name>sourceIdentifier</con:name>
					<con:value/>
					<con:style>QUERY</con:style>
					<con:default/>
				</con:parameter>
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
				
			</con:parameters>
			<con:method name="Get Corresponding Identifiers" id="a5b8b8de-b1ee-4333-82a7-2e1dc7ebb19b" method="GET">
				<con:settings/>
				<con:parameters/>
				<con:representation type="RESPONSE">
					<con:mediaType xsi:nil="true"/>
					<con:status>0</con:status>
					<con:params/>
					<con:element>data</con:element>
				</con:representation>
				<con:representation type="RESPONSE"><con:mediaType>application/fhir+json;charset=UTF-8</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:pat="https://gazelle.ihe.net/PatientManager/fhir/Patient">pat:Response</con:element></con:representation><con:representation type="RESPONSE"><con:mediaType>application/fhir+xml;charset=UTF-8</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:fhir="http://hl7.org/fhir">fhir:Bundle</con:element></con:representation><con:representation type="FAULT"><con:mediaType>text/html; charset=iso-8859-1</con:mediaType><con:status>500</con:status><con:params/><con:element>html</con:element></con:representation><con:representation type="FAULT"><con:mediaType>application/fhir+xml;charset=UTF-8</con:mediaType><con:status>500 400 404 403</con:status><con:params/><con:element xmlns:fhir="http://hl7.org/fhir">fhir:OperationOutcome</con:element></con:representation><con:representation type="FAULT"><con:mediaType>application/fhir+json;charset=UTF-8</con:mediaType><con:status>400 500 403</con:status><con:params/><con:element xmlns:ihe="https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix">ihe:Fault</con:element></con:representation><con:request name="Request" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting>
					</con:settings>
					<con:endpoint>https://gazelle.ihe.net</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="sourceIdentifier" value="urn:oid:2.16.840.1.113883.13.237|4444444334455"/>
  <con:entry key="_format" value="xml"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:request>
			</con:method>
		</con:resource><con:resource name="mock-token" path="/authorization-server/mock-token" id="bb6701bc-bae2-471b-8b4d-c222c766a94e"><con:settings/><con:parameters><con:parameter><con:name>userId</con:name><con:value>aamrein</con:value><con:style>QUERY</con:style><con:default>aamrein</con:default></con:parameter><con:parameter><con:name>audienceId</con:name><con:value>audience</con:value><con:style>QUERY</con:style><con:default>audience</con:default></con:parameter></con:parameters><con:method name="Method 1" id="12ad1600-d663-44a5-a4d5-54af6c7f5a75" method="GET"><con:settings/><con:parameters/><con:representation type="FAULT"><con:mediaType>text/html; charset=utf-8</con:mediaType><con:status>404</con:status><con:params/><con:element>html</con:element></con:representation><con:representation type="RESPONSE"><con:mediaType>application/octet-stream</con:mediaType><con:status>200</con:status><con:params/><con:element>data</con:element></con:representation><con:request name="Request 1" id="d1fcbdee-4e1f-498e-9431-cd0c9dd1a7bf" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>${#Project#endPoint}</con:endpoint><con:request/><con:originalUri>https://gazelle.ihe.net/authorization-server/mock-token</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:request></con:method></con:resource></con:interface>
	<con:testSuite id="47ded3c9-6d7b-4dea-ae07-bc6d143cec06" name="ITI-83 nominal_case">
		<con:settings/>
		<con:runType>SEQUENTIAL</con:runType>
		
		
		<con:testCase id="d2589164-399f-49ff-b652-b8058a553928" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="ITI-83 xml_nominal_case TestCase" searchProperties="true">
			<con:settings/>
			
		<con:testStep type="calltestcase" name="Run IUA TestCase" id="31e65c1b-ea47-4958-a8be-af147ca95684"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>4412a5c9-fb2a-401f-9c54-be2b2af7292d</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="restrequest" name="ITI-83 REQUEST" id="a174b726-9510-4255-aa68-2e4493e6f3c9"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/PatientManager/fhir/Patient/$ihe-pix" methodName="Get Corresponding Identifiers" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ITI-83 REQUEST" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Authorization" value="IHE-JWT ${#Project#token}" xmlns="http://eviware.com/soapui/config"/></con:setting>
					</con:settings>
					<con:endpoint>${#Project#endPoint}</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="72905a2f-e65f-4bdd-a9ff-4dbfdce67875" name="Valid HTTP Status Codes"><con:configuration><codes>200</codes></con:configuration></con:assertion><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="sourceIdentifier" value="${#TestSuite#sourceIdentifier}"/>
  <con:entry key="_format" value="xml"/>
  <con:entry key="targetSystem" value="${#TestSuite#targetSystem}"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:restRequest></con:config></con:testStep><con:properties/></con:testCase>
		
		<con:testCase id="daf35a31-0892-4552-9acc-9e93a5451e6e" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="ITI-83 json_nominal_case  TestCase" searchProperties="true">
			<con:settings/>
			
		<con:testStep type="calltestcase" name="Run IUA TestCase" id="989545a6-d9d5-49bd-9a3e-aceb35d2ab25"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>4412a5c9-fb2a-401f-9c54-be2b2af7292d</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="restrequest" name="ITI-83 REQUEST" id="8dd26f7e-bcde-4f20-a252-54914de28656"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/PatientManager/fhir/Patient/$ihe-pix" methodName="Get Corresponding Identifiers" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ITI-83 REQUEST" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Authorization" value="IHE-JWT ${#Project#token}" xmlns="http://eviware.com/soapui/config"/></con:setting>
					</con:settings>
					<con:endpoint>${#Project#endPoint}</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="9e922f8e-90c5-4653-b26e-d99ad8cf7528" name="Valid HTTP Status Codes"><con:configuration><codes>200</codes></con:configuration></con:assertion><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="sourceIdentifier" value="${#TestSuite#sourceIdentifier}"/>
  <con:entry key="_format" value="json"/>
  <con:entry key="targetSystem" value="${#TestSuite#targetSystem}"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>sourceIdentifier</con:name><con:value>urn:oid:1.3.6.1.4.1.21367.13.20.3000|IHEBLUE-3005</con:value></con:property><con:property><con:name>targetSystem</con:name><con:value>urn:oid:1.3.6.1.4.1.21367.3000.1.6</con:value></con:property></con:properties>
	</con:testSuite><con:testSuite id="773279cc-4606-4735-b2b4-ed7df5c87747" name="ITI-83 wrong_sourceIdentifier error_case">
		<con:settings/>
		<con:runType>SEQUENTIAL</con:runType>
		
		
		<con:testCase id="fd772eb3-1f13-4d89-a923-3d0d200c1699" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="ITI-83 wrong_identifier xml_error_case TestCase" searchProperties="true">
			<con:settings/>
			
		<con:testStep type="calltestcase" name="Run IUA TestCase" id="0548d984-7d86-4704-9d75-d13e3f38c9d2"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>4412a5c9-fb2a-401f-9c54-be2b2af7292d</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="restrequest" name="ITI-83 REQUEST" id="ed51ec4a-1381-4497-af27-54b6b68cad13"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/PatientManager/fhir/Patient/$ihe-pix" methodName="Get Corresponding Identifiers" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ITI-83 REQUEST" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Authorization" value="IHE-JWT ${#Project#token}" xmlns="http://eviware.com/soapui/config"/></con:setting>
					</con:settings>
					<con:endpoint>${#Project#endPoint}</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="a3c9bb66-9898-4e9c-9b74-727791d8fd5b" name="Valid HTTP Status Codes"><con:configuration><codes>400</codes></con:configuration></con:assertion><con:assertion type="XPath Match" id="c3f6dad2-e771-45ef-abc0-f4b2a2d7655f" name="XPath Match"><con:configuration><path>declare namespace ns1='http://hl7.org/fhir';

/ns1:OperationOutcome/ns1:issue/ns1:diagnostics/@value</path><content>sourceIdentifier Assigning Authority not found</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="sourceIdentifier" value="${#TestSuite#sourceIdentifier}"/>
  <con:entry key="_format" value="xml"/>
  <con:entry key="targetSystem" value="${#TestSuite#targetSystem}"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:restRequest></con:config></con:testStep><con:properties/></con:testCase>
		
		<con:testCase id="9cfa2727-35c0-4b82-98e8-0e5e3155fb7e" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="ITI-83 wrong_identifier json_error_case TestCase" searchProperties="true">
			<con:settings/>
			
		<con:testStep type="calltestcase" name="Run IUA TestCase" id="1e0ec969-07fe-4c04-832c-80c177013bf8"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>d2589164-399f-49ff-b652-b8058a553928</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="restrequest" name="ITI-83 REQUEST" id="fcc8b7f2-fb12-49f7-85cb-fd7722f70696"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/PatientManager/fhir/Patient/$ihe-pix" methodName="Get Corresponding Identifiers" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ITI-83 REQUEST" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Authorization" value="IHE-JWT ${#Project#token}" xmlns="http://eviware.com/soapui/config"/></con:setting>
					</con:settings>
					<con:endpoint>${#Project#endPoint}</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="a958a54c-add3-4532-bfab-bfba917e0bb5" name="Valid HTTP Status Codes"><con:configuration><codes>400</codes></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="701c3f58-1819-4f60-977f-a93744ffd35e" name="JsonPath Match"><con:configuration><path>$.issue[:1].diagnostics</path><content>[sourceIdentifier Assigning Authority not found]</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="sourceIdentifier" value="${#TestSuite#sourceIdentifier}"/>
  <con:entry key="_format" value="json"/>
  <con:entry key="targetSystem" value="${#TestSuite#targetSystem}"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>sourceIdentifier</con:name><con:value>urn:oid:3.3.3.3.3.3.3|IHETEST</con:value></con:property><con:property><con:name>targetSystem</con:name><con:value>urn:oid:1.3.6.1.4.1.21367.3000.1.6</con:value></con:property></con:properties>
	</con:testSuite>
	
	
	
	
	
	
	
	
	
	
	
	<con:testSuite id="b9f9d9cd-d03f-45ed-9594-4e3a4ebf586e" name="ITI-83 without_sourceIdentifier error_case">
		<con:settings/>
		<con:runType>SEQUENTIAL</con:runType>
		
		
		<con:testCase id="9e000eed-26f9-4e82-9643-1a855c38ca46" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="ITI-83 without_identifier xml_error_case TestCase" searchProperties="true">
			<con:settings/>
			
		<con:testStep type="calltestcase" name="Run IUA TestCase" id="89a58526-b76e-4b10-a1c7-0348dfe0fc23"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>4412a5c9-fb2a-401f-9c54-be2b2af7292d</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="restrequest" name="ITI-83 REQUEST" id="e6096b90-e33c-43af-9a89-2f23c0d0d742"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/PatientManager/fhir/Patient/$ihe-pix" methodName="Get Corresponding Identifiers" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ITI-83 REQUEST" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Authorization" value="IHE-JWT ${#Project#token}" xmlns="http://eviware.com/soapui/config"/></con:setting>
					</con:settings>
					<con:endpoint>${#Project#endPoint}</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="43954427-accc-4017-9a0c-7aeba05b7237" name="Valid HTTP Status Codes"><con:configuration><codes>500</codes></con:configuration></con:assertion><con:assertion type="XPath Match" id="db8f8b1d-3601-48d1-bfc0-bb943b79c543" name="XPath Match"><con:configuration><path>declare namespace ns1='http://hl7.org/fhir';

/ns1:OperationOutcome/ns1:issue/ns1:diagnostics/@value</path><content>Failed to call access method</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="_format" value="xml"/>
  <con:entry key="targetSystem" value="${#TestSuite#targetSystem}"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:restRequest></con:config></con:testStep><con:properties/></con:testCase>
		
		<con:testCase id="343b3e83-d80c-4d9f-a6fc-a23a53c3d29e" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="ITI-83 without_identifier json_error_case TestCase" searchProperties="true">
			<con:settings/>
			
		<con:testStep type="calltestcase" name="Run IUA TestCase" id="9a25677d-f6f6-41fd-8860-2674a9c0b7f0"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>4412a5c9-fb2a-401f-9c54-be2b2af7292d</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="restrequest" name="ITI-83 REQUEST" id="3e9c6780-689b-4389-851b-19e76ca302d6"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/PatientManager/fhir/Patient/$ihe-pix" methodName="Get Corresponding Identifiers" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ITI-83 REQUEST" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Authorization" value="IHE-JWT ${#Project#token}" xmlns="http://eviware.com/soapui/config"/></con:setting>
					</con:settings>
					<con:endpoint>${#Project#endPoint}</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="2f56335f-225f-41d0-85c5-2153029bd40b" name="Valid HTTP Status Codes"><con:configuration><codes>500</codes></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="ba64feaf-619c-4398-8027-af764ceb1bb4" name="JsonPath Match"><con:configuration><path>$.issue[:1].diagnostics</path><content>[Failed to call access method]</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="_format" value="json"/>
  <con:entry key="targetSystem" value="${#TestSuite#targetSystem}"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>sourceIdentifier</con:name><con:value>urn:oid:1.3.6.1.4.1.21367.13.20.3000|IHEBLUE-3005</con:value></con:property><con:property><con:name>targetSystem</con:name><con:value>urn:oid:1.3.6.1.4.1.21367.3000.1.6</con:value></con:property></con:properties>
	</con:testSuite><con:testSuite id="32aa5893-2a0e-4219-a727-c6a4b909be18" name="ITI-83 wrong_targetSystem error_case">
		<con:settings/>
		<con:runType>SEQUENTIAL</con:runType>
		
		
		<con:testCase id="a48d06ad-d6c2-405d-a09d-56ef32e982db" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="ITI-83 wrong_targetSystem xml_error_case TestCase" searchProperties="true">
			<con:settings/>
			
		<con:testStep type="calltestcase" name="Run IUA TestCase" id="9eb947dc-88db-4ce4-9244-410a2f77ddee"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>4412a5c9-fb2a-401f-9c54-be2b2af7292d</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="restrequest" name="ITI-83 REQUEST" id="57551d24-dc8f-4a24-a823-30e0c2e348e7"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/PatientManager/fhir/Patient/$ihe-pix" methodName="Get Corresponding Identifiers" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ITI-83 REQUEST" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Authorization" value="IHE-JWT ${#Project#token}" xmlns="http://eviware.com/soapui/config"/></con:setting>
					</con:settings>
					<con:endpoint>${#Project#endPoint}</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="91960ec0-bf84-4c45-aa69-b481a97f0721" name="Valid HTTP Status Codes"><con:configuration><codes>403</codes></con:configuration></con:assertion><con:assertion type="XPath Match" id="c67e3a3a-3dd8-4d7b-8efa-e588be9f73db" name="XPath Match"><con:configuration><path>declare namespace ns1='http://hl7.org/fhir';

/ns1:OperationOutcome/ns1:issue/ns1:diagnostics/@value</path><content>targetSystem not found</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="sourceIdentifier" value="${#TestSuite#sourceIdentifier}"/>
  <con:entry key="_format" value="xml"/>
  <con:entry key="targetSystem" value="${#TestSuite#targetSystem}"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:restRequest></con:config></con:testStep><con:properties/></con:testCase>
		
		<con:testCase id="a5a2c965-7f1f-42bf-8e13-77241f3defa4" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="ITI-83 wrong_targetSystem json_error_case  TestCase" searchProperties="true">
			<con:settings/>
			
		<con:testStep type="calltestcase" name="Run IUA TestCase" id="c56393e1-d172-4971-90b1-608949c7b572"><con:settings/><con:config xsi:type="con:RunTestCaseStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:targetTestCase>4412a5c9-fb2a-401f-9c54-be2b2af7292d</con:targetTestCase><con:properties/><con:returnProperties/><con:runMode>PARALLELL</con:runMode></con:config></con:testStep><con:testStep type="restrequest" name="ITI-83 REQUEST" id="b4cc0f3e-87ea-4e75-a1af-c8401ab80f10"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/PatientManager/fhir/Patient/$ihe-pix" methodName="Get Corresponding Identifiers" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ITI-83 REQUEST" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Authorization" value="IHE-JWT ${#Project#token}" xmlns="http://eviware.com/soapui/config"/></con:setting>
					</con:settings>
					<con:endpoint>${#Project#endPoint}</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="228bb34b-e646-4e31-bc0b-32b94b511b1e" name="Valid HTTP Status Codes"><con:configuration><codes>403</codes></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="5de1053d-d7b6-43c8-bb05-f864d3e0acc5" name="JsonPath Match"><con:configuration><path>$.issue[:1].diagnostics</path><content>[targetSystem not found]</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="sourceIdentifier" value="${#TestSuite#sourceIdentifier}"/>
  <con:entry key="_format" value="json"/>
  <con:entry key="targetSystem" value="${#TestSuite#targetSystem}"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>sourceIdentifier</con:name><con:value>urn:oid:1.3.6.1.4.1.21367.13.20.3000|IHEBLUE-3005</con:value></con:property><con:property><con:name>targetSystem</con:name><con:value>urn:oid:1.3.6.1.4.1.21367.3</con:value></con:property></con:properties>
	</con:testSuite><con:testSuite id="aa599db0-4878-4e06-8a83-9c488c2389f9" name="ITI-83 without_token error_case">
		<con:settings/>
		<con:runType>SEQUENTIAL</con:runType>
		
		
		<con:testCase id="ef275faa-d9e3-406d-9534-97b5f06fa6e8" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="ITI-83 without_token xml_error_case TestCase" searchProperties="true">
			<con:settings/>
			
		<con:testStep type="restrequest" name="ITI-83 REQUEST" id="b970a023-d9ef-46de-845e-345db761e0ec"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/PatientManager/fhir/Patient/$ihe-pix" methodName="Get Corresponding Identifiers" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ITI-83 REQUEST" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Authorization" value="IHE-JWT ${#Project#token}" xmlns="http://eviware.com/soapui/config"/></con:setting>
					</con:settings>
					<con:endpoint>${#Project#endPoint}</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="91960ec0-bf84-4c45-aa69-b481a97f0721" name="Valid HTTP Status Codes"><con:configuration><codes>403</codes></con:configuration></con:assertion><con:assertion type="XPath Match" id="c67e3a3a-3dd8-4d7b-8efa-e588be9f73db" name="XPath Match"><con:configuration><path>declare namespace ns1='http://hl7.org/fhir';

/ns1:OperationOutcome/ns1:issue/ns1:diagnostics/@value</path><content>targetSystem not found</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="sourceIdentifier" value="${#TestSuite#sourceIdentifier}"/>
  <con:entry key="_format" value="xml"/>
  <con:entry key="targetSystem" value="${#TestSuite#targetSystem}"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:restRequest></con:config></con:testStep><con:properties/></con:testCase>
		
		<con:testCase id="146ec4fb-caf1-4ec4-8d34-09340303c52f" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="ITI-83 without_token json_error_case  TestCase" searchProperties="true">
			<con:settings/>
			
		<con:testStep type="restrequest" name="ITI-83 REQUEST" id="58d2a255-7771-4ca6-9b8c-0bafe99dc4f8"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/PatientManager/fhir/Patient/$ihe-pix" methodName="Get Corresponding Identifiers" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ITI-83 REQUEST" id="c842cf3a-9a4b-476b-9a0f-78db4f0c7240" mediaType="application/xml" postQueryString="false">
					<con:settings>
						<con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;entry key="Authorization" value="IHE-JWT" xmlns="http://eviware.com/soapui/config"/></con:setting>
					</con:settings>
					<con:endpoint>${#Project#endPoint}</con:endpoint>
					<con:request/>
					<con:originalUri>https://gazelle.ihe.net/PatientManager/fhir/Patient/$ihe-pix</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="228bb34b-e646-4e31-bc0b-32b94b511b1e" name="Valid HTTP Status Codes"><con:configuration><codes>403</codes></con:configuration></con:assertion><con:assertion type="JsonPath Match" id="5de1053d-d7b6-43c8-bb05-f864d3e0acc5" name="JsonPath Match"><con:configuration><path>$.issue[:1].diagnostics</path><content>[targetSystem not found]</content><allowWildcards>false</allowWildcards><ignoreNamspaceDifferences>false</ignoreNamspaceDifferences><ignoreComments>false</ignoreComments></con:configuration></con:assertion><con:credentials>
						<con:authType>No Authorization</con:authType>
					</con:credentials>
					<con:jmsConfig JMSDeliveryMode="PERSISTENT"/>
					<con:jmsPropertyConfig/>
					<con:parameters>
  <con:entry key="sourceIdentifier" value="${#TestSuite#sourceIdentifier}"/>
  <con:entry key="_format" value="json"/>
  <con:entry key="targetSystem" value="${#TestSuite#targetSystem}"/>
</con:parameters>
					<con:parameterOrder><con:entry>_format</con:entry><con:entry>targetSystem</con:entry><con:entry>sourceIdentifier</con:entry></con:parameterOrder>
				</con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>sourceIdentifier</con:name><con:value>urn:oid:1.3.6.1.4.1.21367.13.20.3000|IHEBLUE-3005</con:value></con:property><con:property><con:name>targetSystem</con:name><con:value>urn:oid:1.3.6.1.4.1.21367.3</con:value></con:property></con:properties>
	</con:testSuite><con:testSuite id="72f04615-52c0-4464-beed-0dbd4e3101a7" name="Library" disabled="true"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="4412a5c9-fb2a-401f-9c54-be2b2af7292d" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="IUA Access Token" searchProperties="true"><con:settings/><con:testStep type="groovy" name="Groovy Script" id="c11b898a-ff9a-4546-88a9-f0646136d001"><con:settings/><con:config><script>import com.eviware.soapui.support.XmlHolder

// Get token from the test request get_access_token
testRunner.runTestStepByName("get_access_token")
def token = context.testCase.testSteps["get_access_token"].getPropertyValue("response").toString()

// Save token in the project properties
testRunner.testCase.testSuite.project.setPropertyValue("token", token)




</script></con:config></con:testStep><con:testStep type="restrequest" name="get_access_token" id="e605f68e-2386-4f4b-bd9a-d3d9806589b6"><con:settings/><con:config service="https://gazelle.ihe.net" resourcePath="/authorization-server/mock-token" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="get_access_token" id="d1fcbdee-4e1f-498e-9431-cd0c9dd1a7bf" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>${#TestSuite#endPoint_IUA}</con:endpoint><con:request/><con:originalUri>https://gazelle.ihe.net/authorization-server/mock-token</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="b6095d88-254a-4da6-b0c0-346d28325f23" name="Valid HTTP Status Codes"><con:configuration><codes>200</codes></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>endPoint_IUA</con:name><con:value>https://qualification.ihe-europe.net</con:value></con:property></con:properties></con:testSuite><con:properties>
		<con:property>
			<con:name>endPoint</con:name>
			<con:value>https://gazelle.ihe.net</con:value>
		</con:property>
	<con:property><con:name>token</con:name><con:value>eyJhbGciOiJIUzI1NiJ9.eyJhdWQiOiJhdWRpZW5jZSIsInN1YiI6ImFhbXJlaW4iLCJpc3MiOiJodHRwczovL2VoZWFsdGhzdWlzc2UuaWhlLWV1cm9wZS5uZXQvYWNjZXNzLXRva2VuLXByb3ZpZGVyIiwiZXhwIjoxNjI1NjY2ODk1LCJpYXQiOjE2MjU2NjMyOTUsImp0aSI6IjViNGI2Yjk0LWNmOWMtNDg4Ni1iZTNhLTc1NTRkMTJlNTVjZSJ9.tQEmRjJY4DCQrlUdNvyWHmX-pWCcglFyzmliXyhcF5k</con:value></con:property></con:properties>
<con:wssContainer/><con:oAuth2ProfileContainer/><con:oAuth1ProfileContainer/><con:sensitiveInformation/></con:soapui-project>